### Method

# Snapd Assertion get_header

since: 1.0

#### Declaration [src]

    gchar*
    snapd_assertion_get_header (
      SnapdAssertion* assertion,
      const gchar* name
    )

#### Description [src]

Get a header from an assertion.

Available since: 1.0

#### Parameters

`name`

  Type: `const gchar*`

  Name of the header.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Header value or `NULL` if undefined.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.